Contracts
List Change Orders
Retrieve a paginated list of change orders for a contract.
GET
/
public
/
v2
/
contracts
/
{contract_id}
/
change-orders
/
List Change Orders
curl --request GET \
--url https://api.dualentry.com/public/v2/contracts/{contract_id}/change-orders/ \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.dualentry.com/public/v2/contracts/{contract_id}/change-orders/"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.dualentry.com/public/v2/contracts/{contract_id}/change-orders/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": 123,
"number": 123,
"company_id": 123,
"company_name": "<string>",
"contract_id": 123,
"contract_name": "<string>",
"effective_date": "2023-12-25",
"memo": "<string>",
"apply_cumulative_catchup": true,
"transaction_id": 123,
"is_incomplete": true,
"obligation_modifications": [
{}
],
"obligation_additions": [
{
"id": 123,
"item_id": 2,
"quantity": 1,
"rate": 123,
"position": 0,
"memo": "",
"standalone_selling_price": 123,
"term_id": 123,
"billing_group": 1,
"recognition_strategy": "straight_line",
"obligation_conditions": {},
"classifications": [],
"billing_start_date": "2023-12-25",
"billing_end_date": "2023-12-25",
"billing_interval": 123,
"sync_billing_with_recognition": false,
"skip_invoice_generation": false,
"recognition_start_date": "2023-12-25",
"recognition_end_date": "2023-12-25",
"recognition_interval": 123,
"discount_value": 1,
"selected_vat_rate_id": 123,
"selected_gst_tax_rate_id": 123,
"is_auto_renewable": false
}
],
"catchup_amount": "<string>"
}
],
"count": 123
}{
"errors": {},
"success": false
}{
"errors": {},
"success": false
}Authorizations
Path Parameters
Query Parameters
Available options:
draft, posted, archived Number of records to return per page (capped at 100)
Required range:
x >= 1Number of records to skip before starting to return results
Required range:
x >= 0Last modified on August 18, 2026
Was this page helpful?
⌘I
List Change Orders
